Subject: Re: bug#59426: 29.0.50; [tree-sitter] Some functions exceed maximum recursion limit

From: Yuan Fu <[email-masked]>
Date: Mon, 21 Nov 2022 08:43:45 -0800

> On Nov 21, 2022, at 6:46 AM, Mattias Engdegård <[email-masked]> wrote:
> 
> 21 nov. 2022 kl. 14.55 skrev Eli Zaretskii <[email-masked]>:
> 
>> if it doesn't build for you, please hurry and report it as a bug [...]if you cannot fix it yourself.
> 
> Good, I've now fixed the C compilation errors when building without tree-sitter.

Thanks!

> There are still scores of Elisp byte-compilation warnings but I leave fixing those to the tree-sitter developers.

Could you paste the warnings? Because I don’t see any warnings on my machine.

Yuan